Welcome

Introducing Visual Codec Studio

Visual Codec Studio is an application that allows you to work with encoded files. Most of the files you download from the internet are compressed, and the most popular compression type is ZIP. Visual Codec Studio calls such compressed files encoded files, and can support potentially unlimited types of encoded files.

What are Encoded Files?

Encoded files are files that have been modified in some way for a particular purpose. For instance, an encrypted file is encoded in such a way that the original file is protected from unauthorized access. A compressed file is encoded in such a way that it takes much less space than the original file. Visual Codec Studio refers to each encoding type as a Codec.

What is a Codec?

A codec is the name given to the method by which files are encoded. Different encoding methods naturally result in different codecs. For example, the codec used in creating ZIP files is not the same as the codec used in creating CAB files. The files created by different codecs are classified under different file types.

What is a File Type?

You are probably already familiar with file types. Different files contain different information, represented internally in different ways. For Visual Codec Studio, each codec will be associated with a particular file type. For example, the ZIP and CAB codecs will each have their own file types, determined by their extensions, .ZIP and .CAB .

Visual Codec Studio supports different file types, and hence different codecs, by plug-ins. Plug-ins provide unlimited future potential for using Visual Codec Studio as new file types are invented.

What is a Plug-In?

You are also probably familiar with the concept of plug-ins as used by internet browsers such as Internet Explorer and Netscape Navigator. Used in these browsers, plug-ins allow the browser to properly display documents that it could not display before, without the plug-in.

The same metaphor holds true for Visual Codec Studio. Visual Codec Studio itself knows nothing about codecs and file types. It requires plug-ins to be able to work with encoded files. Although the lack of built-in support for any file type may seem like a weakness, it is in fact a great advantage. As long as you have the proper plug-in, using Visual Codec Studio you can open and work with virtually any kind of encoded file.

Which Plug-Ins are Available?

We have developed ten plug-ins for use with Visual Codec Studio. Bundled with these plug-ins, Visual Codec Studio can support the following file types.

For encoding:
ZIP, CAB, RAR, BH, LHA, ACE, JAR, TAR, GZIP.

For decoding:
ZIP, CAB, RAR, BH, LHA, ARJ, ZOO, ARC, TAR, GZIP, GZ, Z, ACE, JAR, PAK, TGZ, PKG, LZH, HA.

What About Future Plug-Ins?

One of the best things about Visual Codec Studio is that it has potential for unlimited expansion. As more plug-ins become available for Visual Codec Studio, you will be able to work with even more file types.

We are presently developing plugins that will support the encoding of MP3, ARJ and PGP codecs. However, we will not be the sole providers for plug-ins. You can expect to see many more plug-ins appear in the future that support varying features for different codecs.

Are Plug-Ins Usable Only by Visual Codec Studio?

No. When we were making Visual Codec Studio, we wanted to create a universal plug-in specification. We called this specification Codex Plug-In Technology (Codex). Any application that conforms to the Codex standards can use your existing plug-ins! This means not only will you be seeing new plug-ins, but new applications that use them!

This is especially advantageous for you, because not only can you pick which plug-ins you want, you can also pick which applications you want to use those plug-ins with!


Getting Started

Getting Started with Visual Codec Studio

The first step in using Visual Codec Studio is to make sure you have installed some plug-ins. If when you start Visual Codec Studio you do not receive a message informing you that plug-ins are needed, then you already have some plug-ins installed. Otherwise please download and install plug-ins to start working with Visual Codec Studio.

The following topics tell you how you can get started encoding and decoding files:

Basic Features

Encode inside Windows Explorer
Decode inside Windows Explorer
Encode inside Visual Codec Studio
Decode inside Visual Codec Studio
Getting started with the Codec Neighborhood
Getting started with the Anti-Virus

Working with Encoded Files

Viewing items inside encoded files
Checking encoded files for viruses
Setting up software contained in encoded files
Converting encoded files
Emailing encoded files
Using plugin provided tools

Tips and Tricks

Searching for items
Creating shortcuts for encoded files
Using specific folders for encoding - decoding
Editing your encode - decode settings
Selecting the Codecs to use
Converting executable files
Using UUCode - MIME for emailing encoded files

Getting New Versions and Plug-Ins


Encode inside Windows Explorer

To encode a group of files:

  1. Highlight the items you wish to have encoded and right-click.

  2. Choose Encode on the context menu.

  3. Check all the codecs that you wish to use. Checking more than one codec will create multiple files. You can then compare the resulting compression ratios and keep the smallest one.

  4. Type a file name, or click Save As.

  5. Check Encode subfolders if you would like to have the subfolders of your highlighted items also encoded.

  6. Check Parallel if you wish to start encoding into all codecs at the same time. This is recommended only for fast computers.

  7. Click OK to begin encoding.

Tips

  • After selecting each codec that you wish to use, click Settings to customize exactly how the codec should encode your selected files. Each codec provides its own different encode settings. The most common settings include compression strength, storing of folder names, and priorities.

  • Use drag and drop if you wish to add files to a previously encoded file. Highlight all the files you wish to add, then drag them over the target encoded file and drop.


Decode inside Windows Explorer

To decode encoded files:

  1. Highlight the items you wish to decode and right-click.

  2. Select the target folder where you wish to decode into. You may type a new folder name, or even multiple new folder names. They will be created for you automatically.

  3. Check Parallel if you wish to decode all encoded files at the same time. This is recommended only for powerful computers.

  4. Click OK to begin decoding.

Tip

  • Click Settings to customize how each encoded file is to be decoded. Each codec provides its own decode settings. The most common settings include file overwrite options, priorities, and passwords.

  • If you drag the items you wish to decode using the right mouse button into a particular folder, and click Decode Here, the items you dragged will be decoded directly into the folder you chose.


Encode inside Visual Codec Studio

To encode files inside Visual Codec Studio:

  1. Click New to create a new encoded file, and type the name for the new encoded file.

  2. Click the Select Files to Encode tab.

  3. Highlight all the items you wish to encode, then click Encode to compress only the selected items, or click Encode With Subfolders to compress matching items in subfolders as well. Click Remove From Encode List if you no longer wish to encode certain files.

  4. Click the Edit Selected Files tab.

  5. Review your selections of files to encode. Checked items will be encoded along with matching items in subfolders. You may click either Remove or Clear to delete items from the encode list.

  6. Click the Select Encode Codecs tab.

  7. Check all the codecs you wish to use. Using more than one codec will create multiple encoded files.

  8. Highlight each codec you wish to modify the encode settings for, and click Edit Profile to modify encode settings.

  9. Click Encode Now to begin the encode process.

Tips

  • In the Select Encode Codecs tab, you may maintain multiple encode settings. Click the drop-down box to review existing settings. Click Create New Profile or Delete Existing Profile to add or remove new encode settings.

  • You may resize the Encode window to make it easier to select the files to encode.

  • To add into an already existing encoded file, open it using the Open button, and then click the Encode button.


Decode inside Visual Codec Studio

To decode encoded files inside Visual Codec Studio:

  1. Click Open and select all the encoded files containing items you wish to decode. You may select multiple files.

  2. Click Decode on the toolbar.

  3. Click the Decode Codec Settings tab, then highlight each codec for which you wish to customize decode settings, then click Edit Settings.

  4. Click the Decode Preferences tab, and select the folder where you wish to decode your encoded files into. You may enter one or more new folder names, they will be created automatically for you.

  5. Uncheck Decode selected items only to decode all items.

  6. Click Decode Now to begin the decode process.

To select precisely which files you wish to decode, do the following before clicking Decode on the toolbar:

  1. Inside the file list, right-click and check Select Individual Files to allow the selection of individual items.

  2. Inside the All Folders explorer bar, click the icon of each folder you wish to decode. To recursively select folders, collapse the folder (click the minus sign next to the icon) and then click the icon.

  3. Inside the file listing, highlight the groups of files you wish to decode. Items marked for decode will have a hand icon superimposed over the icon of the item they represent.

  4. Fine tune exactly which items you wish to decode using the above two methods. You may also right-click to select or deselect files using the context menu.

Tips

  • In the Decode Codec Settings tab, you may maintain multiple decode settings. Click the drop-down box to review existing settings. Click Create New Profile or Delete Existing Profile to add or remove new decode settings.

  • You may resize the Decode window to make it easier to select the target folder for decode.


Getting started with the Codec Neighborhood

The Codec Neigborhood allows you to neatly organize all your favorite folders for keeping encoded files, and gives you instant access to all the encoded files inside them.

This feature can be especially useful if you wish to perform batch operations on multiple encoded files, or if you wish to scan some folders on your hard disk, or your corporate network, for new encoded files.

To select the your favorite folders:

  1. Click Options, then click Favorites.

  2. Click Auto Scan to have your local drives scanned automatically for encoded file locations.

  3. Click Add Folder to manually add a favorite folder, or add a folder that is not located on your local drives (such as your corporate network).

  4. Click Remove or Clear if you wish to delete existing favorite locations.

  5. If you wish to rename how your favorite folders are represented in your Codec Neighborhood, click the item you wish to rename and type in the Friendly Name. More than one of your favorite folders can share the same friendly name.

  6. Click OK to close the Settings window.

  7. Right-click on the file listing and click Refresh All Shortcuts to update your Codec Neighborhood.

You are ready to use your Codec Neighborhood. Simply click on the shortcuts to open encoded files inside your neighborhood.


Getting started with the Anti-Virus

Visual Codec Studio can scan your encoded files for you, and check that they have no viruses inside them which may cause harm to your computer and your data. Visual Codec Studio uses external anti-virus software to accomplish this.

To prepare for scanning an encoded file:

  1. Click Options, then click Anti-Virus.

  2. Click Auto-Scan to automatically locate existing anti-virus software that is installed on your hard disk. Visual Codec Studio automatically detects most anti-virus scanners.

  3. The detected anti-virus scanners will have a check mark next to them. Highlight the one you wish to use.

  4. If no scanner is found, you may manually add one using the New Software button. You may also configure existing anti-virus scanners using the Settings and Remove buttons. Remember to highlight the anti-virus software you wish to use for scanning your encoded files.

  5. Click OK to close the Settings window.

You are ready to scan your encoded files. Simply open them, then click the AntiVirus button to scan them for viruses.


Viewing items inside encoded files

You can view items inside encoded files without having to decode them first. If you change the item that you view, Visual Codec Studio can update the encoded file it belongs in to reflect your changes.

To view items inside encoded files:

  1. Click Open and select all the encoded files containing items you wish to view. You may select multiple files.

  2. Double-click the item you wish to view. The item will be decoded transparently and opened in its associated application.

  3. You may edit and save the item you are viewing. Visual Codec Studio will ask if you would like to update the encoded file it belongs in to reflect your changes.

Note

  • Some plugins may not support viewing or updating of items inside encoded files. Contact your plugin vendor for more information.


Checking encoded files for viruses

Some encoded files may contain viruses. Viruses are programs that spread across computers and inflict mild to severe damage. Checking your encoded files for viruses before decoding them will protect you from potential damage.

To check encoded files for viruses:

  1. Click Open and select all the encoded files you wish to scan for viruses.

  2. Click AntiVirus on the toolbar.

  3. Click Scan Now to begin the check for viruses. If a virus is found, please destroy the encoded file and obtain a clean copy of it.

Related Topics

Getting started with the Anti-Virus


Setting up software contained in encoded files

Most software today is distributed online, and to increase transmission speed, almost all distributions are in the form of compressed files. Visual Codec Studio can set up software that is contained inside encoded files.

To set up software contained in encoded files:

  1. Click Open and select all the encoded files you wish to setup.

  2. Click Install on the toolbar, then click Install Now to begin the setup.

Certain packages may not support built-in installation. To set up software contained in such encoded files:

  1. Click Open and select all the encoded files you wish to setup.

  2. Click Check-Out on the toolbar.

  3. Select for which items inside the encoded files you would like to create icons for. The icons will be placed in your Start Menu.

  4. Select the folder where the packages will be placed under. Your folder which contains all your applications will be selected initially. If you wish to change this default folder, you may click Browse to do so.

  5. Click Check-Out Now to begin the setup.

Tip:

If you later wish to remove software that has been setup, go to your Control Panel and click Add/Remove Programs. If you do not find the software you wish to remove listed there, consult the provider of your software for instructions on uninstallation.


Converting encoded files

You may wish to convert your existing encoded files, possibly composed of different codecs, into other codecs. Visual Codec Studio can carry out the conversion of many different files in different locations for you.

To convert encoded files:

  1. Click Open and select all the encoded files you wish to convert. The files can be of any type supported by installed plugins.

  2. Click Convert on the toolbar.

  3. Check all the codecs that you wish to convert into. You can select multiple codecs to compare conversion results.

  4. If you wish to create the converted files in the same folder as the original files, select Original locations. If you would like to create the converted files all in one location, select Specified folder and click Browse to locate the target folder.

  5. Click Convert Now to begin the conversion process.

Tip

  • To help find your favorite codec, try the Compression Sampler wizard that ships with Visual Codec Studio.


Emailing encoded files

You may email your encoded files to your contacts using your favorite email program.

To email encoded files:

  1. Click Open and select the encoded file you wish to email.

  2. Click File, then click Send As EMail.


Using plugin provided tools

Some plugins provide their own tools for the codecs they support. For instance, a plugin may ship with a tool that helps you convert archives of its type into self extracting archives.

To use plugin provided tools:

  1. Click Open and select the encoded file you wish to work on.

  2. Click Tools, then select the plugin provided tool you wish to use from the menu. All plugin provided tools will be available from this menu.

The tools provided by each plugin vary in usage and functionality. Some plugins may not ship with any tools at all. Contact your plugin vendor for more information.


Searching for items

You may search for items inside encoded files. You can search both by the name of the item you are looking for, and the text that the item you are looking for contains.

To search for items:

  1. Click Open and select all the encoded files that may contain the item you are looking for.

  2. Click Find on the toolbar, and enter the name of the item, or the text the item contains, or both.

  3. Click Find Now to begin the search. If you are seaching for text, the encoded files will be decompressed to memory to locate the item containing the text.

Tip

  • To search your entire computer for items inside encoded files, make sure your Codec Neighborhood contains all the folders in your computer that contain encoded files. Right-click on the Codec Neighborhood and choose Open Shortcuts to open all files, and then search for items as described above.


Creating shortcuts for encoded files

Visual Codec Studio can create shortcuts on your Desktop for your encoded files, so you can access them easily.

To create shortcuts for encoded files:

  1. Click Open and select the encoded file you wish to create the shortcut for.

  2. Click File, then click Create Shortcut.


Using specific folders for encoding - decoding

If you always use a specific folder that contains all your encoded files, or have a specific output folder that you always decompress your encoded files into, Visual Codec Studio can work directly from those folders when working with encoded files.

To use specific folders for encoding - decoding:

  1. Click Options, then click Folders.

  2. If you have a specific folder for encoding, check Always create encoded file in this folder.

  3. If you have a specific folder for decoding, check Always decode files into folder.

  4. Click Browse to visually specify your specific folders, or type in the full path of your specific folders.


Editing your encode - decode settings

Most plugins have their own unique settings, both when encoding files and decoding files. Visual Codec Studio enables you to edit these settings, and keep them neatly organized under profiles.

To edit basic encode - decode settings:

  1. Click Options, then click Encode-Decode.

  2. Select the codec that you wish to edit the settings for.

  3. Float the mouse over the various buttons to view a description of the function that the buttons allow you to customize the settings for.

  4. Click the button that describes the function you wish to edit the settings for. Corresponding buttons will be unavailable if a plugin does not support a certain function.

To edit advanced encode - decode settings:

  1. Click Options, then click Encode-Decode.

  2. Select the codec that you wish to edit the settings for.

  3. Click the Show All Encode Profiles tab or the Show All Decode Profiles tab. This will show all the settings supported by the selected codec.

  4. If you wish to add a new setting, click Create New Profile.

  5. If you wish to remove an existing setting, click Delete Selected Profile.

  6. If you wish to review and edit an existing setting, click Edit Profile.

Notes

  • The "Default" setting cannot be deleted, and is the setting originally used by Visual Codec Studio when you are encoding or decoding files.

  • The "Shell" setting cannot be deleted, and is the setting always used by Visual Codec Studio when you are encoding and decoding files inside Windows Explorer.

  • The "Structured" setting cannot be deleted, and is used internally by Visual Codec Studio for certain functions (such as converting archives, anti-virus scans). This setting should not be modified except by advanced users.

  • Creating customized settings as new profiles is highly recommended. For instance, you can create a setting that will compress files tightly and call this Maximum Compression. When you later wish to create a tightly compressed file, you can just select this profile instead of modifying the Default profile repeatedly.


Selecting the Codecs to use

It can be hard for you to decide which codecs are best suited for your purposes. Visual Codec Studio ships with over ten plugins that support almost 20 codecs!

  • The most popular codec for data compression today is the ZIP format. If you intend to send your encoded files to non-specialists, using the ZIP codec will be a good idea.

  • Based on our experience, the codec which consistently provides the best compression is the CAB format. The one drawback to this format is that once files are encoded, the resulting encoded file cannot be modified. If you wish to utilize the best possible data compression, try the CAB codec.

Note

  • Visual Codec Studio ships with a Compression Sampler that will encode a random selection of files from your hard drive(s) and compare the compression ratios and encoding time of each codec. You may run this wizard to compare the compression performance of different codecs.


Converting executable files

Some executable files (with the file extension of EXE) contain archives within them, which are extracted when the executable is run. You may convert these executable files to their native archive formats.

To convert executable files:

  1. Click Accessories, then click Cut SFX.

  2. Select the executable file to convert. Click Browse if you would like to make the selection visually.

  3. After selecting the executable file to convert, choose where you would like to have the archive it contains saved. Click Save As to do so visually.

  4. Click OK to begin the conversion.

Tip

  • If after selecting the executable to convert, the file name for the archive it contains does not appear automatically, the executable does not contain a supported archive, or does not contain an archive at all.


Using UUCode - MIME for emailing encoded files

Some older email systems cannot send or receive binary files. Encoded files are always binary files. However, you may still send (and receive) encoded files, even if you are working with one of those older email systems.

To prepare an encoded file for emailing:

  1. Click Accessories, then click UUCode/MIME.

  2. Select the encoded file to convert. Click Browse if you would like to make the selection visually.

  3. After selecting the encoded file to convert, choose where you would like the converted form saved. Click Save As to do so visually.

  4. Click Encode into Plain Text, and choose either UU Encode/Decode or MIME Encode/Decode.

  5. Click OK to begin the conversion.

To obtain the encoded file from an email attachment you receive:

  1. Save the email attachment that you receive as plain text in a file using your email software.

  2. Click Accessories, then click UUCode/MIME.

  3. Select the plain text file to convert. Click Browse if you would like to make the selection visually.

  4. After selecting the file to convert, choose where you would like the original form saved. Click Save As to do so visually.

  5. Click Decode from Plain Text into Binary, and choose either UU Encode/Decode or MIME Encode/Decode (depending on the type of plain text file that you receive with your email).

  6. Click OK to begin the conversion.

Note

  • You need to follow the above procedures for sending/receiving emails that contain encoded files ONLY if you are working with older email systems. Such circumstances are very rare. Unless there is an indication to the contrary, you will not have to use UUCode - MIME for sending/receiving emails.


Product updates

New versions of Visual Codec Studio will appear on a regular basis as new features are added, and old features improved.

To obtain product updates:

  1. Make sure you are connected to the Internet.

  2. Click Accessories, then click Update Visual Codec Studio.

  3. If an update is found, you will be offered the option to download and install it.


Plug-In updates

New plug-ins will be available from Mimar Sinan International and other vendors. Please check with us regularly to download new plug-ins supporting new and existing codecs.

Tip

  • If you open a file type that has no plug-in installed for it, you will have the opportunity to check if a new plug-in has become available for that file type, and download the supporting plug-in over the Internet.


Customizing your Desktop

You may customize your Visual Codec Desktop to suit your needs. You may use single or multiple desktops, and enable or disable the neighborhoods.

Using a single desktop will display all your encoded files under one desktop.

Using multiple desktops will display all your encoded files under different desktops. This will make organizing your different encoded files easier by their type, but may clutter your desktop if there are too many file types available (try dissociating unused codecs from their plugins to solve this problem).

Using the neighborhoods is higly recommended, but can be disabled. Each neighborhood will appear under its corresponding desktop.

To customize your Desktop:

  1. Click Options, then click Desktop.

  2. Choose your settings. A preview of your settings will be displayed as you make your selections.

  3. Click OK to save your settings.

The changes will be applied the next time you start Visual Codec Studio.

Related Topics


Using the Codec Neighborhood

The Codec Neighborhood functions as a common repository for all your encoded files. You may immediately access any encoded file that is inside your Codec Neighborhood and work with it.

The Codec Neighborhood contains links to encoded items inside your Favorite Codec Places. These places can be single folders, or a collection of folders organized by categories. The folders can be on your computer or anywhere on your network, providing instant access to virtually any important location for keeping encoded files.

Keeping your Codec Neighborhood up to date will allow you to perform many useful functions with minimal effort. For instance, you can search your entire computer for files inside encoded files. You can check your Codec Neighborhood for incoming encoded files or new packages on the corporate network. You can perform operations on all your encoded files in one step if they are inside your Codec Neighborhood.

Related Topics


Optimizing the Codec Neighborhood

Below are some tips to keep your Codec Neighborhood in top shape:

  • Do not include every folder that contains encoded files in your neighborhood. Include only the folders that YOU use for encoded files. Having unused folders in your neighborhood will decrease the efficiency of your neighborhood.

  • Organize the folders inside your neighborhood. Use friendly names for organizing and classifying your favorite folders.

  • Keep your neighborhood up to date. Scan your computer frequently for new encoded files that may appear in unexpected locations, or to locate old missing ones.

  • Spread the Codec Neighborhood throughout your company. Link to folders shared for trading encoded files, or other common locations. Use the neighborhood as a gateway to access encoded files across the corporate network.

Related Topics

Getting started with the Codec Neighborhood


Disabling the Codec Neighborhood

You may disable the Codec Neighborhood feature if it does not appeal to you. However this is not recommended as it will limit the power of Visual Codec Studio.

To disable the Codec Neighborhood:

  1. Click Options, then click Desktop.

  2. Uncheck Enable Neighborhoods.

  3. Click OK to save your settings.

The changes will take effect when you restart Visual Codec Studio.


Adding plugins

To add a Codex plugin for use with Visual Codec Studio, first install it on your system like you would any other application. The plugin will most likely register itself for use with Visual Codec Studio (and any other Codex application) after the installation. Just restart Visual Codec Studio to see if there are any new codecs available. If not,

To manually add a plugin:

  1. Install the plugin using the plugins installer.

  2. Click Plugins, then click Add.

  3. Select the plugin which you have just installed. If you do not see the name of the plugin you have just installed, it may not have been installed properly, or it may not be a Codex plugin. Contact your plugin provider for more information.

Restart Visual Codec Studio for the changes to take effect.


Removing plugins

To remove a plugin entirely from your system, use the uninstaller that comes with the plugin. The plugin will most likely unregister itself with Visual Codec Studio (and any other Codex applications). Just restart Visual Codec Studio to see if the plugin is removed. If not,

To manually remove a plugin:

  1. Click Plugins, then click Remove.

  2. Select the name of the plugin you wish to remove. Note that this will not uninstall the plugin from your system, but remove it from use inside Visual Codec Studio.

Restart Visual Codec Studio for the changes to take effect.


Plugin capabilities

Plugins have different capabilities. Each come with a different set of tools, support for different codecs, and different levels of support. You may view the capabilities of each loaded plugin.

To view plugin capabilities:

  1. Click Plugins, then click Information.

  2. Move the scrollbar to view the properties of different plugins.


Plugin information

You can view specific information that is provided by the vendor of each plugin.

To view plugin information:

  1. Click Help, then click About Plug-Ins.

  2. Select the name of the plugin you wish to view vendor-provided information on.

Tip

  • Plugins provided by Mimar Sinan International list information on their required DLLs, and enable you to upgrade to newer versions of the plugin (if available) through the plugin information screen.


Associating Plugins with Codecs

A plugin may support more than one codec, or a codec may be supported by more than one plugin. You can customize the associations between the codecs and the plugins.

To associate plugins with codecs:

  1. Click Codecs on the toolbar.

  2. Click the File Type (codec) you wish to edit.

  3. The Available Plugins will be listed. All plugins supporting the selected codec will be displayed.

  4. Check the plugin you wish to associate with this codec. Only one plugin may be associated with a codec at a time. If you wish, you can dissociate the codec from all plugins, rendering it unavailable.

  5. Click OK to save your changes.

Restart Visual Codec Studio for the changes to take effect.

Related Topics


Monitoring running tasks

You can view the current list of running tasks, and you can immediately end tasks which you no longer need.

To monitor running tasks:

  1. Click View, then click Threads.

  2. A list of running tasks is displayed.

  3. If there are any tasks you would like to end, select the task and click End Task. This will end all remaining steps of the task, but not terminate the running task itself.

  4. Click Cancel to close the monitor.


Monitoring completed tasks

Visual Codec Studio can notify you of each task that is finished.

To view a list of completed tasks:

  1. Click View, then click Messages.

  2. The completed tasks are displayed. Click Clear to empty the display or OK to close the display.

To be explicitly notified of completed tasks:

  1. Click Options, then click View Style.

  2. Check Inform of the tasks that are completed. Every time a task completes, you will be notified explicitly.


Setting task execution modes

There are two task execution modes: parallel and serial.

Parallel execution will start all tasks at the same time when a new operation begins. For instance, when decoding ten encoded files, all ten decode operations will be started simultaneously. Parallel execution mode is recommended only for powerful computers, and can improve performace on multi-processor systems with good memory.

Serial execution will start tasks one by one, wait for the completion of each running task, and then start the following task. When decoding ten encoded files, there will be ten steps to the decode; as each file is decoded, another will start decoding.

To set task execution modes:

  1. Click Options, then click Technical.

  2. Check Parallel Mode for parallel execution and Serial Mode for serial execution.

  3. Click OK to apply the settings.


Ordering information

You may purchase all Mimar Sinan products on-line with a credit card. Your order will be processed securely and you will immediately receive your registration key.

Please Visit:

http://www.mimarsinan.com to shop online.

We also accept personal and company checks, although this will be a slower method of processing your order. Remember to include your full name, email address (for faster electronic delivery), and postal address with your order.

Please Mail Checks To:

Mimar Sinan International
PO BOX 7851
AUSTIN, TX 78713-7851
USA

Checks drawn on US banks are accepted. Please do not send cash, unless your circumstances so dictate. Visit our online stores for most recent pricing and special offers, even if you will not order online.

Mimar Sinan International honors purchase orders from Fortune 1000 companies. Terms are 30 days net.

Please Contact:

sales@mimarsinan.com for purchase orders.

Mimar Sinan International welcomes OEM licensing. Exclusive discounts and customized versions are available.

Please Contact:

sales@mimarsinan.com for OEM licensing.

Finally, Mimar Sinan International provides competitive discounts for Site licensing.

Please Visit:

http://www.mimarsinan.com for site licensing information.


Contact information

Please visit our web site that contains up to date information on products, services, pricing, and technical support:

http://www.mimarsinan.com

If you would like to get in touch with us, please send email.

For general inquiries: sinan@mimarsinan.com
For technical support: support@mimarsinan.com
For sales information: sales@mimarsinan.com

You may also write to us at:

Mimar Sinan International
PO BOX 7851
AUSTIN, TX 78713-7851
USA

Thank YOU for choosing Mimar Sinan.